## python-mock-services 0.3

=== Makefile ===
all:

.PHONY: install
install:
	pip install -e .

.PHONY: develop
develop: install
	pip install -e ".[test]"

.PHONY: test
test:
	flake8 .
	python -m unittest discover tests/

.PHONY: release
release:
	pip install -e ".[release]"
	fullrelease

=== debian/changelog ===
python-mock-services (0.3-0ubuntu2) bionic; urgency=medium

  * d/p/skip-online-tests.patch: Skip tests that require online access
    to duckduckgo.com or google.com.

 -- James Page <james.page@ubuntu.com>  Wed, 21 Feb 2018 10:34:57 +0000

python-mock-services (0.3-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/*: wrap-and-sort -bast.
  * d/*: General tidy of packaging.
  * d/p/request-mock-compat.patch: Cherry pick fix for compat with
    newer requests-mock.

 -- James Page <james.page@ubuntu.com>  Wed, 21 Feb 2018 10:21:51 +0000

python-mock-services (0.2-0ubuntu3) yakkety; urgency=medium

  * debian/python3-mock-services: Fix co-dependency install.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 08 Jun 2016 09:15:19 -0400

python-mock-services (0.2-0ubuntu2) yakkety; urgency=medium

  * debian/control: Add dependency of python-nose.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 03 Jun 2016 15:27:02 -0400

python-mock-services (0.2-0ubuntu1) yakkety; urgency=medium

  * Initial release.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 30 May 2016 13:26:30 -0400

=== debian/control ===
Source: python-mock-services
Section: python
Priority: optional
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 python-all (>= 2.6.6-3~),
 python-attr,
 python-funcsigs,
 python-requests-mock,
 python-setuptools,
 python3-all,
 python3-attr,
 python3-funcsigs,
 python3-requests-mock,
 python3-setuptools,
Standards-Version: 4.1.3
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-mock-services
Architecture: all
Depends:
 python-attr,
 python-funcsigs,
 python-requests-mock,
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-python-mock-services-doc,
Description: Provides an easy way of mocking API Services (Python 2)
 mock-services aims to provide an easy way to mock an entire
 service API based on requests-mock and a simple dict definition
 of a service. The idea is to mock everything at start according
 given rules. Then mock-services allows one to start/stop http mock
 locally.
 .
 This package installs the library for Python 2.

Package: python-mock-services-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Provides an easy way of mocking API Services (common documentation)
 mock-services aims to provide an easy way to mock an entire
 service API based on requests-mock and a simple dict definition
 of a service. The idea is to mock everything at start according
 given rules. Then mock-services allows one to start/stop http mock
 locally.
 .
 This is the common documentation package.

Package: python3-mock-services
Architecture: all
Depends:
 python3-attr,
 python3-funcsigs,
 python3-requests-mock,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-mock-services-doc,
Description: Provides an easy way of mocking API Services (Python 3)
 mock-services aims to provide an easy way to mock an entire
 service API based on requests-mock and a simple dict definition
 of a service. The idea is to mock everything at start according
 given rules. Then mock-services allows one to start/stop http mock
 locally.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f


%:
	dh $@  --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:
	PYTHONPATH=$(CURDIR) python setup.py test
	PYTHONPATH=$(CURDIR) python3 setup.py test

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/mock-services/mock-services-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
